NEW Run your Ruby tests in a few minutes and ship faster with Boosters, one-click auto parallelization · Learn more…
×

Platform update on February 24th

The upcoming platform update is scheduled for Tuesday, February 24th, 2015.

Chromedriver is now on version 2.14 which supports Chrome versions v39-42.

Bundler is updated to version 1.7.13.

Elasticsearch gets an update with version 1.3.8.

Elixir is now on version 1.0.3.

Firefox is updated to version 35.0.1 which requires all projects using the selenium-webdriver gem to update it with bundle update selenium-webdriver.

Git is now on version 2.3. You can read more about the new features like push to deploy and faster cloning in GitHub’s blog post.

Java gets two updates with versions OpenJDK 7u75 and Oracle JDK 8u31.

JRuby is updated to version 1.7.19 which continues to focus on improving the compatibility with Ruby 1.9.3.

MySQL is updated to version 5.6.23.

Node.js receives an update with 0.10.36.

PHP gets three updates with 5.6.5, 5.5.21 and 5.4.37.

RethinkDB get an update with version 1.16.2

Scala is updated to 2.11.5 which fixes these 74 issues.

New things

Node.js version 0.12 is now part of the platform. It can be used by adding nvm use 0.12 to your build commands. This version will be selectable in the interface after the final release of the platform without the need to use the command.

Another newcomer to the platform is io.js version 1.2.0. io.js is a fork of Node.js, built against the latest V8 versions including many ES6 features out-of-the-box.

LFTP is now included by default.

Trying the new platform

You can evaluate the new platform right away by selecting Ubuntu 14.04 LTS v1502 (release candidate) from the Platform section of Project Settings. We encourage you to try it out, so that we can iron out any issues you may find along the way until the final release on next Tuesday.

Changes in the final release

Cassandra is now on version 2.1.3.

Firefox’s update has been held back because version 35.0.1 has some compability issues with the latest selenium-webdriver gem version 2.44.0.

Qt version 5.2.1 is now part of the platform. Qt versions are selectable by creating an environment variable named QT_SELECT in Project Settings and assigning it a value of 4 or 5 depending on which Qt version you would like to use. The default version is set to 4.8.1.

A full list of changes is available in the platform changelog.

Related Articles

Get future posts like this one in your inbox.

Follow us on

comments powered by Disqus